function changeLang(new_text_lang, new_speech_lang)
  -- Get the current speech language
  cur_speech_lang = game.SpeechLanguage
  
  if cur_speech_lang:isEmpty() then
    cur_speech_lang = game.StandardLanguage
  end

  -- Set the standard (text + speech) language
  if not new_text_lang:isEmpty() then
    game.StandardLanguage = new_text_lang
  end

  -- Set the speech language
  if not new_speech_lang:isEmpty() then
    game.SpeechLanguage = new_speech_lang
  else
    -- Setting the standard language will also change the speech language, if it hadn't been defined separately before,
    -- but we don't want that, if no new speech language has been defined in the action part; so reset to what it was
    game.SpeechLanguage = cur_speech_lang
  end
end



-- Register action part

registerActionPart('CHANGE_LANGUAGE_EXT', function(activeAction, actionPart)
  changeLang(actionPart.Link, actionPart.AltLink)
  return false
end)